package nc.vo.sscpfa.pfareport.report;

import java.util.ArrayList;
import java.util.Collection;

import nc.pub.smart.metadata.Field;
import nc.pub.smart.metadata.MetaData;
import nc.vo.ml.NCLangRes4VoTransl;
import nc.vo.pub.ValidationException;
import nc.vo.pub.ValueObject;

public class SSCTaskReportDetailVO extends ValueObject {
	
  private static final long serialVersionUID = 1L;
  
//  public static int TOTAL_COLUMN_COUNT = 36;
  
  public static int TOTAL_COLUMN_COUNT = 48;//add by 刘建生 20220407 在原基础上新增6个字段 
  
  private String busiid;
  
  private String billno;
  
  private String pk_org;
  
  private String pk_org_name;
  
  private String pk_group;
  
  private String pk_billtypecode;
  
  private String pk_tradetype;
  
  private String tradetype_code;
  
  private String tradetype_name;
  
  private String billdate;
  
  private String amount;
  
  private String committime;
  
  private String billmaker;
  
  private String zgsm_starttime;
  
  private String zgsm_endtime;
  
  private String zgsm_costtime;
  
  private String zgsm_user;
  
  private String ssc_starttime;
  
  private String gxsh_endtime;
  
  private String gxsh_costtime;
  
  private String gxsh_user;
  
  private String gxfh_endtime;
  
  private String gxfh_costtime;
  
  private String gxfh_user;
  
  private String busi_auditdate;
  
  private String qz_endtime;
  
  private String qz_costtime;
  
  private String qz_user;
  
  private String js_endtime;
  
  private String js_costtime;
  
  private String js_user;
  
  private String gxsp_costtime;
  
  private String gxfk_costtime;
  
  private String bdlc_costtime;
  
  private String gxlc_costtime;
  
  private String qlc_costtime;
  
  
  //add by 刘建生  20220407 在原基础上新增6个字段
  private String pay_mny ;//支付金额
  private String paycomfirm_time ;//支付确认单提交时间
  private String getbill_time ;//单据到手时间
  private String recbill_time ;//收单时间
  private String recbill_user ;//收单处理人
  private String recbill_costtime ; //收单耗时
  private String gxsh_starttime; //共享审核开始时间
  private String flow_cancelledtime;//ssctp_flowpath.statisticaltime用时	
  private String flowpath_sscapprove; 

  //sdan 新增单据状态字段
  private String billstatus ; //单据状态
  
  
  public static final String BUSIID = "busiid";
  
  public static final String BILLMAKER = "billmaker";
  
  public static final String BILLNO = "billno";
  
  public static final String PK_ORG = "pk_org";
  
  public static final String PK_ORG_NAME = "pk_org_name";
  
  public static final String PK_GROUP = "pk_group";
  
  public static final String PK_BILLTYPECODE = "pk_billtypecode";
  
  public static final String PK_TRADETYPE = "pk_tradetype";
  
  public static final String TRADETYPE_CODE = "tradetype_code";
  
  public static final String TRADETYPE_NAME = "tradetype_name";
  
  public static final String BILLDATE = "billdate";
  
  public static final String AMOUNT = "amount";
  
  public static final String COMMITTIME = "committime";
  
  public static final String SSC_STARTTIME = "ssc_starttime";
  
  public static final String GXSH_ENDTIME = "gxsh_endtime";
  
  public static final String GXSH_COSTTIME = "gxsh_costtime";
  
  public static final String GXSH_USER = "gxsh_user";
  
  public static final String GXFH_ENDTIME = "gxfh_endtime";
  
  public static final String GXFH_COSTTIME = "gxfh_costtime";
  
  public static final String GXFH_USER = "gxfh_user";
  
  public static final String BUSI_AUDITDATE = "busi_auditdate";
  
  public static final String QZ_ENDTIME = "qz_endtime";
  
  public static final String QZ_COSTTIME = "qz_costtime";
  
  public static final String QZ_USER = "qz_user";
  
  public static final String JS_ENDTIME = "js_endtime";
  
  public static final String JS_COSTTIME = "js_costtime";
  
  public static final String JS_USER = "js_user";
  
  public static final String GXSP_COSTTIME = "gxsp_costtime";
  
  public static final String GXFK_COSTTIME = "gxfk_costtime";
  
  public static final String BDLC_COSTTIME = "bdlc_costtime";
  
  public static final String GXLC_COSTTIME = "gxlc_costtime";
  
  public static final String QLC_COSTTIME = "qlc_costtime";
  
  public static final String ZGSM_STARTTIME = "zgsm_starttime";
  
  public static final String ZGSM_ENDTIME = "zgsm_endtime";
  
  public static final String ZGSM_COSTTIME = "zgsm_costtime";
  
  public static final String ZGSM_USER = "zgsm_user";
  
  
//add by 刘建生  20220407 在原基础上新增6个字段
  public static final String PAY_MNY = "pay_mny" ;//支付金额
  public static final String PAYCOMFIRM_TIME = "paycomfirm_time" ;//支付确认单提交时间
  public static final String GETBILL_TIME = "getbill_time" ;//单据到手时间
  public static final String RECBILL_TIME = "recbill_time" ;//收单时间
  public static final String RECBILL_USER = "recbill_user" ;//收单处理人
  public static final String RECBILL_COSTTIME = "recbill_costtime" ; //收单耗时
  public static final String GXSH_STARTTIME = "gxsh_starttime" ; //共享审核开始时间
  public static final String FLOW_CANCELLEDTIME = "flow_cancelledtime" ; //共享审核开始时间
  public static final String FLOWPATH_SSCAPPROVE = "flowpath_sscapprove" ; //共享审核开始时间
   //sdan 新增单据状态20220415
  public static final String BILLSTATUS = "billstatus" ; //单据状态
  
  public String getBillmaker() {
    return this.billmaker;
  }
  
  public void setBillmaker(String billmaker) {
    this.billmaker = billmaker;
  }
  
  public static MetaData getMetaData() {
    MetaData metaData = new MetaData();
    Field fld = new Field();
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0029"));
    fld.setDbColumnType(12);
    fld.setFldname("busiid");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0020"));
    fld.setDbColumnType(12);
    fld.setFldname("billno");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0015"));
    fld.setDbColumnType(12);
    fld.setFldname("pk_org");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0016"));
    fld.setDbColumnType(12);
    fld.setFldname("pk_org_name");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0036"));
    fld.setDbColumnType(12);
    fld.setFldname("pk_group");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0037"));
    fld.setDbColumnType(12);
    fld.setFldname("pk_billtypecode");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0017"));
    fld.setDbColumnType(12);
    fld.setFldname("pk_tradetype");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0018"));
    fld.setDbColumnType(12);
    fld.setFldname("tradetype_code");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0019"));
    fld.setDbColumnType(12);
    fld.setFldname("tradetype_name");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0038"));
    fld.setDbColumnType(12);
    fld.setFldname("billdate");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0022"));
    fld.setDbColumnType(12);
    fld.setFldname("amount");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0039"));
    fld.setDbColumnType(12);
    fld.setFldname("committime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0023"));
    fld.setDbColumnType(12);
    fld.setFldname("billmaker");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0040"));
    fld.setDbColumnType(12);
    fld.setFldname("zgsm_starttime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0041"));
    fld.setDbColumnType(12);
    fld.setFldname("zgsm_endtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0042"));
    fld.setDbColumnType(12);
    fld.setFldname("zgsm_costtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0043"));
    fld.setDbColumnType(12);
    fld.setFldname("zgsm_user");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0044"));
    fld.setDbColumnType(12);
    fld.setFldname("ssc_starttime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0045"));
    fld.setDbColumnType(12);
    fld.setFldname("gxsh_endtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0006"));
    fld.setDbColumnType(12);
    fld.setFldname("gxsh_costtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0046"));
    fld.setDbColumnType(12);
    fld.setFldname("gxsh_user");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0047"));
    fld.setDbColumnType(12);
    fld.setFldname("gxfh_endtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0007"));
    fld.setDbColumnType(12);
    fld.setFldname("gxfh_costtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0048"));
    fld.setDbColumnType(12);
    fld.setFldname("gxfh_user");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0049"));
    fld.setDbColumnType(12);
    fld.setFldname("busi_auditdate");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0049"));
    fld.setDbColumnType(12);
    fld.setFldname("qz_endtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0008"));
    fld.setDbColumnType(12);
    fld.setFldname("qz_costtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0050"));
    fld.setDbColumnType(12);
    fld.setFldname("qz_user");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0051"));
    fld.setDbColumnType(12);
    fld.setFldname("js_endtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0009"));
    fld.setDbColumnType(12);
    fld.setFldname("js_costtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0052"));
    fld.setDbColumnType(12);
    fld.setFldname("js_user");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0010"));
    fld.setDbColumnType(12);
    fld.setFldname("gxsp_costtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0011"));
    fld.setDbColumnType(12);
    fld.setFldname("gxfk_costtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0012"));
    fld.setDbColumnType(12);
    fld.setFldname("bdlc_costtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0013"));
    fld.setDbColumnType(12);
    fld.setFldname("gxlc_costtime");
    fld.setPrecision(250);
    
    metaData.addField(new Field[] { fld });
    fld = new Field();
    fld.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0014"));
    fld.setDbColumnType(12);
    fld.setFldname("qlc_costtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    
    
    //add by 刘建生  20220407 在原基础上新增6个字段
    fld = new Field();
    fld.setCaption("支付金额");
    fld.setDbColumnType(12);
    fld.setFldname("pay_mny");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    
    fld = new Field();
    fld.setCaption("支付确认单提交时间");
    fld.setDbColumnType(12);
    fld.setFldname("paycomfirm_time");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    
    fld = new Field();
    fld.setCaption("单据到手时间");
    fld.setDbColumnType(12);
    fld.setFldname("getbill_time");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    
    fld = new Field();
    fld.setCaption("收单时间");
    fld.setDbColumnType(12);
    fld.setFldname("recbill_time");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    
    fld = new Field();
    fld.setCaption("收单处理人");
    fld.setDbColumnType(12);
    fld.setFldname("recbill_user");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    
    fld = new Field();
    fld.setCaption("收单耗时");
    fld.setDbColumnType(12);
    fld.setFldname("recbill_costtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    
    fld = new Field();
    fld.setCaption("共享审核开始时间");
    fld.setDbColumnType(12);
    fld.setFldname("gxsh_starttime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    
    fld = new Field();
    fld.setCaption("共享任务流程历史用时");
    fld.setDbColumnType(12);
    fld.setFldname("flow_cancelledtime");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    
    fld = new Field();
    fld.setCaption("共享审核时间");
    fld.setDbColumnType(12);
    fld.setFldname("flowpath_sscapprove");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    
    //sdan 新增单据状态
    fld = new Field();
    fld.setCaption("单据状态");
    fld.setDbColumnType(12);
    fld.setFldname("billstatus");
    fld.setPrecision(250);
    metaData.addField(new Field[] { fld });
    
    return metaData;
  }
  
  public static Object[][] toDataSet(Collection<SSCTaskReportDetailVO> data) {
    Collection<Object[]> dataSetList = new ArrayList(data.size());
    for (SSCTaskReportDetailVO vo : data) {
      int index = 0;
      
      Object[] rowdata = new Object[TOTAL_COLUMN_COUNT];
      rowdata[index++] = vo.getBusiid();
      rowdata[index++] = vo.getBillno();
      rowdata[index++] = vo.getPk_org();
      rowdata[index++] = vo.getPk_org_name();
      rowdata[index++] = vo.getPk_group();
      rowdata[index++] = vo.getPk_billtypecode();
      rowdata[index++] = vo.getPk_tradetype();
      rowdata[index++] = vo.getTradetype_code();
      rowdata[index++] = vo.getTradetype_name();
      rowdata[index++] = vo.getBilldate();
      rowdata[index++] = vo.getAmount();
      rowdata[index++] = vo.getCommittime();
      rowdata[index++] = vo.getBillmaker();
      rowdata[index++] = vo.getZgsm_starttime();
      rowdata[index++] = vo.getZgsm_endtime();
      rowdata[index++] = vo.getZgsm_costtime();
      rowdata[index++] = vo.getZgsm_user();
      rowdata[index++] = vo.getSsc_starttime();
      rowdata[index++] = vo.getGxsh_endtime();
      rowdata[index++] = vo.getGxsh_costtime();
      rowdata[index++] = vo.getGxsh_user();
      rowdata[index++] = vo.getGxfh_endtime();
      rowdata[index++] = vo.getGxfh_costtime();
      rowdata[index++] = vo.getGxfh_user();
      rowdata[index++] = vo.getBusi_auditdate();
      rowdata[index++] = vo.getQz_endtime();
      rowdata[index++] = vo.getQz_costtime();
      rowdata[index++] = vo.getQz_user();
      rowdata[index++] = vo.getJs_endtime();
      rowdata[index++] = vo.getJs_costtime();
      rowdata[index++] = vo.getJs_user();
      rowdata[index++] = vo.getGxsp_costtime();
      rowdata[index++] = vo.getGxfk_costtime();
      rowdata[index++] = vo.getBdlc_costtime();
      rowdata[index++] = vo.getGxlc_costtime();
      rowdata[index++] = vo.getQlc_costtime();
      
      //add by 刘建生  20220407 在原基础上新增6个字段
      rowdata[index++] = vo.getPay_mny();
      rowdata[index++] = vo.getPaycomfirm_time();
      rowdata[index++] = vo.getGetbill_time();
      rowdata[index++] = vo.getRecbill_time();
      rowdata[index++] = vo.getRecbill_user();
      rowdata[index++] = vo.getRecbill_costtime();
      rowdata[index++] = vo.getGxsh_starttime();
      rowdata[index++] = vo.getFlow_cancelledtime();
      rowdata[index++] = vo.getFlowpath_sscapprove();
      
      //sdan 新增单据状态20220415
      rowdata[index++] = vo.getBillstatus();
      
      dataSetList.add(rowdata);
    } 
    return dataSetList.<Object[]>toArray(new Object[(dataSetList.size() == 0) ? 1 : dataSetList.size()][]);
  }
  
  public String getEntityName() {
    return null;
  }
  
  public void validate() throws ValidationException {}
  
  public String getBusiid() {
    return this.busiid;
  }
  
  public void setBusiid(String busiid) {
    this.busiid = busiid;
  }
  
  public String getBillno() {
    return this.billno;
  }
  
  public void setBillno(String billno) {
    this.billno = billno;
  }
  
  public String getPk_org() {
    return this.pk_org;
  }
  
  public void setPk_org(String pk_org) {
    this.pk_org = pk_org;
  }
  
  public String getPk_org_name() {
    return this.pk_org_name;
  }
  
  public void setPk_org_name(String pk_org_name) {
    this.pk_org_name = pk_org_name;
  }
  
  public String getPk_group() {
    return this.pk_group;
  }
  
  public void setPk_group(String pk_group) {
    this.pk_group = pk_group;
  }
  
  public String getPk_tradetype() {
    return this.pk_tradetype;
  }
  
  public void setPk_tradetype(String pk_tradetype) {
    this.pk_tradetype = pk_tradetype;
  }
  
  public String getPk_billtypecode() {
    return this.pk_billtypecode;
  }
  
  public void setPk_billtypecode(String pk_billtypecode) {
    this.pk_billtypecode = pk_billtypecode;
  }
  
  public String getTradetype_code() {
    return this.tradetype_code;
  }
  
  public void setTradetype_code(String tradetype_code) {
    this.tradetype_code = tradetype_code;
  }
  
  public String getTradetype_name() {
    return this.tradetype_name;
  }
  
  public void setTradetype_name(String tradetype_name) {
    this.tradetype_name = tradetype_name;
  }
  
  public String getBilldate() {
    return this.billdate;
  }
  
  public void setBilldate(String billdate) {
    this.billdate = billdate;
  }
  
  public String getAmount() {
    return this.amount;
  }
  
  public void setAmount(String amount) {
    this.amount = amount;
  }
  
  public String getCommittime() {
    return this.committime;
  }
  
  public void setCommittime(String committime) {
    this.committime = committime;
  }
  
  public String getZgsm_starttime() {
    return this.zgsm_starttime;
  }
  
  public void setZgsm_starttime(String zgsm_starttime) {
    this.zgsm_starttime = zgsm_starttime;
  }
  
  public String getZgsm_endtime() {
    return this.zgsm_endtime;
  }
  
  public void setZgsm_endtime(String zgsm_endtime) {
    this.zgsm_endtime = zgsm_endtime;
  }
  
  public String getZgsm_costtime() {
    return this.zgsm_costtime;
  }
  
  public void setZgsm_costtime(String zgsm_costtime) {
    this.zgsm_costtime = zgsm_costtime;
  }
  
  public String getZgsm_user() {
    return this.zgsm_user;
  }
  
  public void setZgsm_user(String zgsm_user) {
    this.zgsm_user = zgsm_user;
  }
  
  public String getSsc_starttime() {
    return this.ssc_starttime;
  }
  
  public void setSsc_starttime(String ssc_starttime) {
    this.ssc_starttime = ssc_starttime;
  }
  
  public String getGxsh_endtime() {
    return this.gxsh_endtime;
  }
  
  public void setGxsh_endtime(String gxsh_endtime) {
    this.gxsh_endtime = gxsh_endtime;
  }
  
  public String getGxsh_costtime() {
    return this.gxsh_costtime;
  }
  
  public void setGxsh_costtime(String gxsh_costtime) {
    this.gxsh_costtime = gxsh_costtime;
  }
  
  public String getGxsh_user() {
    return this.gxsh_user;
  }
  
  public void setGxsh_user(String gxsh_user) {
    this.gxsh_user = gxsh_user;
  }
  
  public String getGxfh_endtime() {
    return this.gxfh_endtime;
  }
  
  public void setGxfh_endtime(String gxfh_endtime) {
    this.gxfh_endtime = gxfh_endtime;
  }
  
  public String getGxfh_costtime() {
    return this.gxfh_costtime;
  }
  
  public void setGxfh_costtime(String gxfh_costtime) {
    this.gxfh_costtime = gxfh_costtime;
  }
  
  public String getGxfh_user() {
    return this.gxfh_user;
  }
  
  public void setGxfh_user(String gxfh_user) {
    this.gxfh_user = gxfh_user;
  }
  
  public String getBusi_auditdate() {
    return this.busi_auditdate;
  }
  
  public void setBusi_auditdate(String busi_auditdate) {
    this.busi_auditdate = busi_auditdate;
  }
  
  public String getQz_endtime() {
    return this.qz_endtime;
  }
  
  public void setQz_endtime(String qz_endtime) {
    this.qz_endtime = qz_endtime;
  }
  
  public String getQz_costtime() {
    return this.qz_costtime;
  }
  
  public void setQz_costtime(String qz_costtime) {
    this.qz_costtime = qz_costtime;
  }
  
  public String getQz_user() {
    return this.qz_user;
  }
  
  public void setQz_user(String qz_user) {
    this.qz_user = qz_user;
  }
  
  public String getJs_endtime() {
    return this.js_endtime;
  }
  
  public void setJs_endtime(String js_endtime) {
    this.js_endtime = js_endtime;
  }
  
  public String getJs_costtime() {
    return this.js_costtime;
  }
  
  public void setJs_costtime(String js_costtime) {
    this.js_costtime = js_costtime;
  }
  
  public String getJs_user() {
    return this.js_user;
  }
  
  public void setJs_user(String js_user) {
    this.js_user = js_user;
  }
  
  public String getGxsp_costtime() {
    return this.gxsp_costtime;
  }
  
  public void setGxsp_costtime(String gxsp_costtime) {
    this.gxsp_costtime = gxsp_costtime;
  }
  
  public String getGxfk_costtime() {
    return this.gxfk_costtime;
  }
  
  public void setGxfk_costtime(String gxfk_costtime) {
    this.gxfk_costtime = gxfk_costtime;
  }
  
  public String getBdlc_costtime() {
    return this.bdlc_costtime;
  }
  
  public void setBdlc_costtime(String bdlc_costtime) {
    this.bdlc_costtime = bdlc_costtime;
  }
  
  public String getGxlc_costtime() {
    return this.gxlc_costtime;
  }
  
  public void setGxlc_costtime(String gxlc_costtime) {
    this.gxlc_costtime = gxlc_costtime;
  }
  
  public String getQlc_costtime() {
    return this.qlc_costtime;
  }
  
  public void setQlc_costtime(String qlc_costtime) {
    this.qlc_costtime = qlc_costtime;
  }

	public String getPay_mny() {
		return pay_mny;
	}
	
	public void setPay_mny(String pay_mny) {
		this.pay_mny = pay_mny;
	}
	
	public String getPaycomfirm_time() {
		return paycomfirm_time;
	}
	
	public void setPaycomfirm_time(String paycomfirm_time) {
		this.paycomfirm_time = paycomfirm_time;
	}
	
	public String getGetbill_time() {
		return getbill_time;
	}
	
	public void setGetbill_time(String getbill_time) {
		this.getbill_time = getbill_time;
	}
	
	public String getRecbill_time() {
		return recbill_time;
	}
	
	public void setRecbill_time(String recbill_time) {
		this.recbill_time = recbill_time;
	}
	
	public String getRecbill_user() {
		return recbill_user;
	}
	
	public void setRecbill_user(String recbill_user) {
		this.recbill_user = recbill_user;
	}
	
	public String getRecbill_costtime() {
		return recbill_costtime;
	}
	
	public void setRecbill_costtime(String recbill_costtime) {
		this.recbill_costtime = recbill_costtime;
	}

	public String getGxsh_starttime() {
		return gxsh_starttime;
	}

	public void setGxsh_starttime(String gxsh_starttime) {
		this.gxsh_starttime = gxsh_starttime;
	}

	public String getFlow_cancelledtime() {
		return flow_cancelledtime;
	}

	public void setFlow_cancelledtime(String flow_cancelledtime) {
		this.flow_cancelledtime = flow_cancelledtime;
	}

	public String getFlowpath_sscapprove() {
		return flowpath_sscapprove;
	}

	public void setFlowpath_sscapprove(String flowpath_sscapprove) {
		this.flowpath_sscapprove = flowpath_sscapprove;
	} 
	
	public String getBillstatus() {
		return billstatus;
	}

	public void setBillstatus(String billstatus) {
		this.billstatus = billstatus;
	}
	
}
